exports.questions = [
	{
		type: 'input',
		name: 'name',
		message: 'What\'s the project Name?'
	},
	{
		type: 'list',
		name: 'type',
		message: 'What kind of project do you want to start?',
		choices: [
			'React',
			'PHP',
			'Electron'
		],
		filter: function ( value ) {
			return value.toLowerCase();
		}
	},
	{
		type: 'list',
		name: 'reactTemplate',
		message: 'Which React template do you want to use?',
		choices: [
			{
				name: 'Browserify version',
				value: 'browserify'
			},
			{
				name: 'Webpack version',
				value: 'webpack'
			}
		],
		when: function ( answers ) {
			return answers.type === 'react';
		},
		filter: function ( value ) {
			return value.toLowerCase();
		}
	}
];

exports.finalConfirmation = [
	{
		type: 'confirm',
		name: 'isCorrect',
		message: 'Is this correct?',
		default: true
	}
];
